import React from "react";
import { createRoot } from "react-dom/client";
import {
    BrowserRouter,
    Routes,
    Route,
  } from "react-router-dom";

import App from "./App";
import Home from "./Home";
import Connections, { ActivateConnection, NewConnection } from "./Connections";
import ManageConnection from "./ManageConnection";
import Patients from "./Patients";

const container = document.getElementById("root");
const root = createRoot(container);

root.render(<BrowserRouter basename="/ui">
    <Routes>
      <Route path="/" element={<App />}>
        <Route index element={<Home />} />
        <Route path="/patienten" element={<Patients />}/>
        <Route path="/connecties" element={<Connections />}>
          <Route path="nieuw" element={<NewConnection />} />
          <Route path=":connId/activeer" element={<ActivateConnection />} />
        </Route>
        <Route path="/connecties/:connId" element={<ManageConnection />} />
        {/* <Route path="teams" element={<Teams />}>
          <Route path=":teamId" element={<Team />} />
          <Route path="new" element={<NewTeamForm />} />
          <Route index element={<LeagueStandings />} />
        </Route> */}
      </Route>
    </Routes>
  </BrowserRouter>);